For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTSynchronously enrich transactions
      • GETRetrieve a transaction
      • GETList all transactions
      • DELDeletes a transaction
      • POSTAssign a transaction to an account holder
LogoLogo
Legacy DocsSign in
API ReferenceTransactions

List all transactions

GET
https://api.ntropy.com/v3/transactions
GET
/v3/transactions
$curl -X "GET" \
> "https://api.ntropy.com/v3/transactions" \
> -H "Accept: application/json" \
> -H "X-API-KEY: cd1H...Wmhl"
1{
2 "next_cursor": "XjdHaksD",
3 "data": [
4 {
5 "id": "xbx8YP14g565Xk",
6 "description": "SQ* STARBUCKS 10 Union Sq",
7 "date": "2024-03-30",
8 "amount": 10,
9 "entry_type": "outgoing",
10 "currency": "USD",
11 "created_at": "2024-03-30T00:00:00",
12 "entities": {
13 "counterparty": {
14 "type": "organization",
15 "id": "d4bc3c80-ec1a-3da2-836e-2a4ca4758be5",
16 "name": "Starbucks",
17 "website": "starbucks.com",
18 "phone_number": "+1 4153753176",
19 "tax_number": "80-0429876",
20 "naics2017": "541519",
21 "logo": "https://logos.ntropy.com/starbucks.com",
22 "mccs": [
23 5814
24 ]
25 },
26 "intermediaries": [
27 {
28 "id": "916bc837-55ef-3106-88f6-5a8269ca9f2a",
29 "name": "Square, Inc.",
30 "website": "squareup.com",
31 "logo": "https://logos.ntropy.com/squareup.com",
32 "mccs": []
33 }
34 ]
35 },
36 "categories": {
37 "general": "coffee shop"
38 },
39 "location": {
40 "raw_address": "10 Union Square E, New York, New York 10003, United States",
41 "structured": {
42 "street": "Union Square East",
43 "city": "New York",
44 "state": "New York",
45 "postcode": "10003",
46 "country_code": "US",
47 "country": "United States",
48 "house_number": "10",
49 "latitude": 40.734834,
50 "longitude": -73.989782,
51 "google_maps_url": "https://www.google.com/maps/search/?api=1&query=40.734834,-73.989782",
52 "apple_maps_url": "https://maps.apple.com/?q=40.734834,-73.989782"
53 }
54 },
55 "account_holder_id": "35b927b6-6fda-40aa-93b8-95b47c2b2cad"
56 }
57 ]
58}
Return a list of enriched transactions starting with the most recent one.
Was this page helpful?
Previous

Deletes a transaction

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Query parameters

created_afterdatetime or nullOptional
Only return transactions older or equal than this date
created_beforedatetime or nullOptional
Only return transactions newer than this date
cursorstring or nullOptional
Starting point for the set of transactions
limitintegerOptional1-500Defaults to 25
The limit of transactions to be returned
account_holder_idstring or nullOptional
If specified, only return the transactions of this account holder

Response

Successful Response
next_cursorstring or null
datalist of objects

Errors

422
Unprocessable Entity Error